Subject: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Aug 2020 15:58:27 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 23 Aug 2020 08:45:10 -0400
> 
> > Which means using this combination is probably not a good idea in your
> > case (unless you _want_ such timers to be disabled when these errors
> > happen).
> >
> > IOW, the problem as you describe it happens entirely under your
> > control: you can cause it at will and you can make it go away at will.
> 
> I have skimmed this thread.  Is it correct to say that there is no bug
> here?  If not, could someone please summarize what is the outstanding
> issue here?

I think there's no Emacs bug here: the timer runs exactly as
expected.  If there's a need to defer the timer when network is not
available, it should be done in the user's timer function.